Subject: Re: bug#38940: \x1b]8; ; OSC character displayed on hyperlinks shown after calls to `guix describe` or `guix show` on mate-terminal 1.12.1 (Trisquel 8)

From: Calvin Heim <[email-masked]>
Date: Wed, 08 Jan 2020 14:54:07 -0800

On Wed, 2020-01-08 at 22:28 +0100, Ludovic Courtès wrote:
> Hi,
> 
> Calvin Heim <[email-masked]> skribis:
> 
> > 
> > On Tue, 2020-01-07 at 12:58 +0100, zimoun wrote:
> > > 
> > > Does the environment variable NO_OSC appears to you more meaningful
> > > than INSIDE_EMACS?
> > It is more meaningful, but this terminal does interpret other operating system codes,
> > like OSC 12 for changing the cursor color. NO_OSC_8 would be specific to hyperlinks.
> The theory is that terminals should ignore OSC codes that they do not
> support.  Good’ol xterm, for instance, silently ignores those hyperlink
> codes, whereas GNOME Terminal interprets them nicely.
> 
I concur.

> So I would say that this is a bug in this version of mate-terminal, or
> perhaps in the libvte version it’s using?
Yes, the bug is in libvte 0.28.2 as distributed with Trisquel 8's software updater. 
I misspoke earlier when I mentioned mate-terminal.

This bug will be resolved eventually by Trisquel following the upstream sources in 
Ubuntu, so barring objections I will close this issue.
> I’ve just tried mate-terminal 1.22.0 on vte 0.58.3 from Guix, and it
> silently ignores those codes.
> 
> Thanks,
> Ludo’.

Thanks,
Calvin